org.apache.solr.cloud

## Class CloudDescriptor

- java.lang.Object
- - org.apache.solr.cloud.CloudDescriptor

-     public class CloudDescriptor
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NUM_SHARDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloudDescriptor(String coreName, Properties props, CoreDescriptor cd)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCollectionName()`
    `String` | `getCoreNodeName()`
    `Replica.State` | `getLastPublished()`
    `Integer` | `getNumShards()`
    `Map<String,String>` | `getParams()` Optional parameters that can change how a core is created.
    `String` | `getRoles()`
    `String` | `getShardId()`
    `boolean` | `hasRegistered()`
    `boolean` | `isLeader()`
    `void` | `setCollectionName(String collectionName)`
    `void` | `setCoreNodeName(String nodeName)`
    `void` | `setHasRegistered(boolean hasRegistered)`
    `void` | `setLastPublished(Replica.State state)`
    `void` | `setLeader(boolean isLeader)`
    `void` | `setNumShards(int numShards)`
    `void` | `setRoles(String roles)`
    `void` | `setShardId(String shardId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NUM_SHARDS

          public static final String NUM_SHARDS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CloudDescriptor

          public CloudDescriptor(String coreName,
                                 Properties props,
                                 CoreDescriptor cd)

  - ### Method Detail

    - #### getLastPublished

          public Replica.State getLastPublished()

    - #### setLastPublished

          public void setLastPublished(Replica.State state)

    - #### isLeader

          public boolean isLeader()

    - #### setLeader

          public void setLeader(boolean isLeader)

    - #### hasRegistered

          public boolean hasRegistered()

    - #### setHasRegistered

          public void setHasRegistered(boolean hasRegistered)

    - #### setShardId

          public void setShardId(String shardId)

    - #### getShardId

          public String getShardId()

    - #### getCollectionName

          public String getCollectionName()

    - #### setCollectionName

          public void setCollectionName(String collectionName)

    - #### getRoles

          public String getRoles()

    - #### setRoles

          public void setRoles(String roles)

    - #### getParams

          public Map<String,String> getParams()

      Optional parameters that can change how a core is created.

    - #### getNumShards

          public Integer getNumShards()

    - #### setNumShards

          public void setNumShards(int numShards)

    - #### getCoreNodeName

          public String getCoreNodeName()

    - #### setCoreNodeName

          public void setCoreNodeName(String nodeName)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.